{#-

    Template file for generating periodical event summary reports in plain text
    format.

    List of available template variables:

    ``dt_c``
        Current datetime timestamp as instance of :py:class:`datetime.datetime`.
    ``report``
        Current report object as instance of :py:class:`mentat.sqldb.internal.EventReportModel`.
    ``text_width``
        Configuration value for width of email text as ``int``.
    ``additional_vars``
        Additional template variables gathered from reporter`s configuration file
        _/etc/mentat/mentat-reporter.py.conf_. These variables can be used to
        customize the output of the template. It is up to the template designer
        to define list of available additional variables (see below).
    ``logger``
        Reference to main application logger, that can be used to log anomalies for
        later analysis by system administrator. To use the logger you have to use
        a trick with a *set* statement:

            set phony = logger.warning("Custom warning message with " ~ value)

    The template variables are hardcoded in the reporting algorithm and always
    passed down to the templating engine to be used at will by the template designer.
    Most of the template variables are objects of some kind, please see the
    documentation of appropriate object class for details about available attributes
    and methods, that may be usefull during the template rendering process.


    Additional variables customizable by reporter`s configuration file:

    ``report_access_url``
        URL address for unauthorized access to this report via web interface as ``str``.
    ``contact_email``
        Email address for sending replies as ``str``.
    ``admin_email``
        Email address for submitting technical issues as ``str``.

    The additional variables are gathered and passed down from the reporter`s
    main configuration file, configuration key ``template_vars``. This counfiguration
    key should contain a dictionary. That dictionary will be available from inside
    of the template as ``additional_vars``. The aditional variables mechanism is
    intended to enable small template tweaking, for bigger customizations you
    should always consider designing and using separate template file.


    List of available built-in template functions:

    ``get_locale()``
        Current configured locale.
    ``get_timezone()``
        Current configured timezone. This timezone will be used when using
        ``format_tzdatetime()`` function.
    ``get_timezone_local()``
        Current local (server) timezone. This timezone will be used when using
        ``format_localdatetime()`` function.
    ``format_decimal(value)``
        Format given numeric value according to configured locale.
    ``format_datetime(value)``
        Format given datetime value according to configured locale using UTC
        timezone.
    ``format_localdatetime(value)``
        Format given datetime value according to configured locale using local
        (server) timezone.
    ``format_tzdatetime(value)``
        Format given datetime value according to configured locale using configured
        timezone.
    ``format_rfctzdatetime(value)``
        Format given datetime value using configured timezone with forced RFC 3339
        format.
    ``format_custom_datetime(value, format)``
        Format given datetime value  with custom format.
    ``format_timedelta(value)``
        Format given timedelta value according to configured locale.

    Author: Jan Mach <jan.mach@cesnet.cz>

-#}

{#- --------------------- BEGIN HEADERS AND HELPERS ------------------------ -#}

{%- import '_macros.common.txt.j2' as macros_common -%}

{#- --------------------- BEGIN TEMPLATE CONTENT --------------------------- -#}

{{ _('Dear colleagues.') }}
{%- if report.structured_data['regular'] %}

{{ _('Our detection systems registered following possible problem(s) related to Your IP address range or domain (timestamps are in timezone {:s}):').format(get_timezone()) | wordwrap(width=text_width, break_long_words=False) }}

{%- for section_name, section_data in report.structured_data['regular'] | dictsort %}
{{ macros_common.render_report_section(loop.index, additional_vars, event_classes_data, section_name, section_data, text_width, logger) }}
{%- endfor %}
{%- endif %}
{%- if report.structured_data['relapsed'] %}

{{ _('Our detection systems registered following RECURRING possible problem(s) related to Your IP address range or domain (timestamps are in timezone {:s}):').format(get_timezone()) | wordwrap(width=text_width, break_long_words=False) }}

{%- for section_name, section_data in report.structured_data['relapsed'] | dictsort %}
{{ macros_common.render_report_section(loop.index, additional_vars, event_classes_data, section_name, section_data, text_width, logger) }}
{%- endfor %}

{{ _('These possible problem(s) were already reported to You some time before, however we have detected relapses.') | wordwrap(width=text_width, break_long_words=False) }}
{%- endif %}

{{ macros_common.render_info_severity(report, text_width) }}
{{ _('Links to interactive web version of this report and complete data are located in the footer.') | wordwrap(width=text_width, break_long_words=False) }}

{{ _('This message was generated by an automated system. For further communication please use the contact email address <{:s}> and for easier orientation please keep the identifier [{:s}] in email subject.').format(additional_vars['contact_email'], report.label) | wordwrap(width=text_width, break_long_words=False) }}

    {{ _('Thank you in advance for your cooperation') }}

{{ _('Mentat System') }} ({{ _('https://csirt.cesnet.cz/en/services/mentat') }})
{{ _('CESNET-CERTS Computer Security Team') }} <certs@cesnet.cz> ({{ _('https://csirt.cesnet.cz/en/index') }})
{{ _('CESNET, a.l.e.') }} ({{ _('http://www.ces.net/') }})

===
{{ _('Summary report') }} {{ report.label }}
{{ report.evcount_rep }} {{ _('event(s)') }}, {{ report.evcount_flt_blk }} {{ _('filtered out') }}, {{ report.evcount_thr_blk }} {{ _('thresholded') }}, {{ report.evcount_rlp }} {{ _('relapsed') }}
{{ '{:20s}'.format(_('Web version:')) }} {{ additional_vars['report_access_url'] }}{{ report.label }}/unauth
{{ '{:20s}'.format(_('Complete data:')) }} {{ additional_vars['report_access_url'] }}data/{{ report.label }}/json
{{ '{:20s}'.format(_('Timezone:')) }} {{ get_timezone() }}
{{ '{:20s}'.format(_('Generated for:')) }} {{ report.group.name }}
{{ '{:20s}'.format(_('Generated at:')) }} {{ format_tzdatetime(dt_c) }}
                    ({{ format_datetime(dt_c) }} UTC)
{{ '{:20s}'.format(_('Time period:')) }} {{ format_tzdatetime(report.dt_from) }} - {{ format_tzdatetime(report.dt_to) }}
                    ({{ format_datetime(report.dt_from) }} - {{ format_datetime(report.dt_to) }} UTC)
